scitbx::boost_python::container_conversions::from_python_sequence< ContainerType, ConversionPolicy > Struct Template Reference

`#include <container_conversions.h>`

Collaboration diagram for scitbx::boost_python::container_conversions::from_python_sequence< ContainerType, ConversionPolicy >:

## Public Types

typedef ContainerType::value_type | container_element_type

## Public Member Functions

| from_python_sequence ()

## Static Public Member Functions

static void * | convertible (PyObject *obj_ptr)
static bool | all_elements_convertible (boost::python::handle<> &obj_iter, bool is_range, std::size_t &i)
static void | construct (PyObject *obj_ptr, boost::python::converter::rvalue_from_python_stage1_data *data)

## Member Typedef Documentation

## container_element_type

template<typename ContainerType , typename ConversionPolicy >

typedef ContainerType::value_type scitbx::boost_python::container_conversions::from_python_sequence< ContainerType, ConversionPolicy >::container_element_type

## Constructor & Destructor Documentation

## from_python_sequence()

template<typename ContainerType , typename ConversionPolicy >

scitbx::boost_python::container_conversions::from_python_sequence< ContainerType, ConversionPolicy >::from_python_sequence | ( |  | ) |

inline

References scitbx::boost_python::container_conversions::from_python_sequence< ContainerType, ConversionPolicy >::construct(), and scitbx::boost_python::container_conversions::from_python_sequence< ContainerType, ConversionPolicy >::convertible().

## Member Function Documentation

## all_elements_convertible()

template<typename ContainerType , typename ConversionPolicy >

static bool scitbx::boost_python::container_conversions::from_python_sequence< ContainerType, ConversionPolicy >::all_elements_convertible | ( | boost::python::handle<> & | obj_iter,
|  | bool | is_range,
|  | std::size_t & | i
| ) |  |

inline static

Referenced by scitbx::boost_python::container_conversions::from_python_sequence< ContainerType, ConversionPolicy >::convertible().

## construct()

template<typename ContainerType , typename ConversionPolicy >

static void scitbx::boost_python::container_conversions::from_python_sequence< ContainerType, ConversionPolicy >::construct | ( | PyObject * | obj_ptr,
|  | boost::python::converter::rvalue_from_python_stage1_data * | data
| ) |  |

inline static

Referenced by scitbx::boost_python::container_conversions::from_python_sequence< ContainerType, ConversionPolicy >::from_python_sequence().

## convertible()

template<typename ContainerType , typename ConversionPolicy >

static void* scitbx::boost_python::container_conversions::from_python_sequence< ContainerType, ConversionPolicy >::convertible | ( | PyObject * | obj_ptr | ) |

inline static

References scitbx::boost_python::container_conversions::from_python_sequence< ContainerType, ConversionPolicy >::all_elements_convertible().

Referenced by scitbx::boost_python::container_conversions::from_python_sequence< ContainerType, ConversionPolicy >::from_python_sequence().

The documentation for this struct was generated from the following file:

- rcsb/container_conversions.h